Subject: Re: [PATCH 1/5 v2] adb: replace sleep notifier with class suspend/resume hooks

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 05 Apr 2007 09:12:11 +1000

On Wed, 2007-04-04 at 09:03 -0400, David Woodhouse wrote:
> On Wed, 2007-04-04 at 10:41 +0200, Johannes Berg wrote:
> > 
> > So class suspend/resume hooks are apparently not called unless you do
> > some more magic juju.
> > 
> > I'll work more sysfs foo to fix it. You can probably
> > make /sys/power/state work and have adb still work by just applying all
> > the patches up to "remove dead code in via-pmu86k".
> > 
> > Then again, which patches do you have applied now? Do you even have this
> > one? I only sent you the other ones, and if you only have those applied
> > then the problem must be elsewhere... 
> 
> I didn't have this set of patches applied. I have these:
> 
> Subject: [PATCH 1/3] rework pm_ops pm_disk_mode, kill misuse
> Subject: [PATCH 2/3] power management: remove firmware disk mode
> Subject: [PATCH 3/3] power management: implement pm_ops.valid for everybody
> 
> Subject: [PATCH 1/5] powerpc: generic time suspend/resume code
> Subject: [PATCH 2/5] powerpc: fix suspend states again
> Subject: [PATCH 3/5] powermac: disallow pmu sleep notifiers from aborting
> Subject: [PATCH 4/5 v2] powermac: proper sleep management
> 
> It does re-probe ADB on resume, and it finds the keyboard every time
> (thankfully). It just doesn't find the mouse more than about 1 in 10
> times. Could it just be a timing thing? Resume seems to be a lot faster
> with the patches applied.

Hrm... ADB resume is supposed to fire a thread and if you have a
trackpad, it's supposed to wait for some time for it to settle...

Ben.